%define oname   multi_json

Name:       ruby-%{oname}
Version:    0.0.5
Release:    %mkrel 1
Summary:    A gem to provide swappable JSON backends
License:    GPLv2+
Group:      Development/Ruby
URL:        http://github.com/intridea/multi_json
Source0:    %{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
A gem to provide swappable JSON backends utilizing Yajl::Ruby, the JSON gem,
ActiveSupport, or JSON pure.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Tue Feb 15 2011 shikamaru <shikamaru> 0.0.5-1.mga1
+ Revision: 51973
- imported package ruby-multi_json


* Tue Feb 15 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.0.5-1
- Apply new ruby policy
- Apply general mageia rules
- New version 0.0.5

* Mon Dec 20 2010 Rémy Clouard <shikamaru@mandriva.org> 0.0.4-1mdv2011.0
+ Revision: 623517
- import rubygem-multi_json

